%define debug_package %{nil}

%bcond_without qt5

Summary:	A QT gui for the JACK audio daemon
Name:		qjackctl
Version:	0.4.5
Release:	1
License:	GPLv2+
Group:		Sound
Url:		http://sourceforge.net/projects/%{name}/
Source0:	http://downloads.sourceforge.net/%{name}/files/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack) >= 0.118.3
%if %{with qt5}
BuildRequires:	pkgconfig(Qt5Core) >= 5.1
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	qt5-linguist-tools
%else
BuildRequires:	qt4-devel >= 4.4
%endif
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
# For metadata it needs 0.124.1
Requires:	jack >= 0.118.3
Requires:	hicolor-icon-theme

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application to
control the JACK server daemon.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/*

#-----------------------------------------------------------------------------

%prep
%setup -q


%build
%configure \
	--enable-jack-version \
	--enable-jack-port-aliases \
	--enable-jack-midi \
	--disable-jack-metadata \
	--enable-alsa-seq \
	--enable-portaudio \
	--enable-dbus \
%if %{with qt5}
	--disable-qt4 \
%else
	--disable-qt5 \
	--enable-qt4 \
%endif
	--enable-system-tray \
	--enable-xunique \
	--localedir=%{_datadir}/%{name}/locale/
%make

%install
%makeinstall_std

# Fix the .desktop file
# Not needed:
#  --vendor="" 
#  --remove-category="ALSA"
#  --remove-category="JACK"
#  --remove-category="MIDI"
desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--add-category="X-MandrivaLinux-Sound" \
	--set-key="Exec" --set-value="qjackctl" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# Massage icons
mkdir -p %{buildroot}/%{_liconsdir}
convert -size 48x48 src/images/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert -size 32x32 src/images/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert -size 16x16 src/images/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %{name} --with-qt

%changelog

* Fri May 05 2017 Giovanni Mariani <mc2374@mclink.it> 0.4.5-1
- (1b75046) Updated to release 0.4.5


